﻿@model Tuple<ARGNSCSPatterns, CostSheetComboSAP>

@{
    string mTrId = "TR_Pattern" + Model.Item1.LineId;
    string mPattCode = "Pattern_Code" + Model.Item1.LineId;
    string mDesc = "Pattern_Desc" + Model.Item1.LineId;
    string mItemCode = "Pattern_ItemCode" + Model.Item1.LineId;
    string mItemName = "Pattern_ItemName" + Model.Item1.LineId;
    string mLineId = "Pattern_LineId" + Model.Item1.LineId;
    string mQuantity = "Pattern_Quantity" + Model.Item1.LineId;
    string mPattQty = "Pattern_PattQty" + Model.Item1.LineId;
    string mUoM = "Pattern_UoM" + Model.Item1.LineId;
    string mActive = "Pattern_Active" + Model.Item1.LineId;
    string mIsNew = "Pattern_IsNew" + Model.Item1.LineId;

    <tr id='@mTrId'>
        <td>
            <input id='@mPattCode' class="form-control" value='@Model.Item1.U_PattCode' disabled="disabled" />
            <input type="hidden" id="@mLineId" value="@Model.Item1.LineId" />
        </td>
        <td><input id='@mDesc' class="form-control" value='@Model.Item1.U_Desc' disabled="disabled" /></td>
        <td style="width:200px;">
            <div class="col-xs-8">
                <input id='@mItemCode' style="width: 120px;" class="form-control" value='@Model.Item1.U_ItemCode' disabled="disabled" />
            </div>
            <div class="col-xs-4">
                <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#ModalItemsPattern" onclick="GetItemsModel(@Model.Item1.LineId, 'Patterns')"><span class="glyphicon glyphicon-search"></span></button>
            </div>
        </td>
        <td><input id='@mItemName' class="form-control" value='@Model.Item1.U_ItemName' disabled="disabled" /></td>

        <td><input id='@mQuantity' type="number" class="form-control" value='@(Model.Item1.U_Quantity != null ? Math.Round((decimal)Model.Item1.U_Quantity, 2).ToString() : "")' /></td>
        <td><input id='@mUoM' class="form-control" value='@Model.Item1.U_UoM' /></td>
        <td><input id='@mPattQty' type="number" class="form-control" value='@(Model.Item1.U_PattQty != null ? Math.Round((decimal)Model.Item1.U_PattQty, 2).ToString() : "")' /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.Item1.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.Item1.MappedUdf != null && Model.Item1.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.Item1.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                    DictRow.ListUFD1,
                                    "FldValue",
                                    "Descr", DictRow.Value), new { @Id = "LINEUDF_Operation_" + DictRow.UDFName + Model.Item1.LineId, @Name = "LINEUDF_Operation_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.Item1.LineId + "','Operation');" })
                        }
                        else
                        {
                            <input id='LINEUDF_Operation_@DictRow.UDFName@Model.Item1.LineId' name="LINEUDF_Operation_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.Item1.LineId','Operation');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}